Bug 175452 - Web Inspector: Ensure three.js gets minified properly
Summary: Web Inspector: Ensure three.js gets minified properly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 174176
  Show dependency treegraph
 
Reported: 2017-08-10 15:25 PDT by Ross Kirsling
Modified: 2017-08-17 13:54 PDT (History)
6 users (show)

See Also:


Attachments
Patch (4.00 KB, patch)
2017-08-14 15:00 PDT, Ross Kirsling
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (1.24 MB, application/zip)
2017-08-14 20:34 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Kirsling 2017-08-10 15:25:11 PDT
After three.js source is added to Source/WebInspectorUI/UserInterface/External, we must make sure these files are properly minified for release builds.
Comment 1 Ross Kirsling 2017-08-14 15:00:19 PDT
Created attachment 318064 [details]
Patch
Comment 2 Ross Kirsling 2017-08-14 15:05:49 PDT
Comment on attachment 318064 [details]
Patch

Misspoke in my previous comment:
Release != production; this is for production builds only.

The three.js files haven't yet been added to Main.html, so this currently just spits out the license, but I confirmed that behavior is as expected when Main.html is updated (using copy-user-interface-resources-dryrun.rb).
Comment 3 Build Bot 2017-08-14 20:34:37 PDT
Comment on attachment 318064 [details]
Patch

Attachment 318064 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/4315472

New failing tests:
imported/w3c/web-platform-tests/custom-elements/microtasks-and-constructors.html
Comment 4 Build Bot 2017-08-14 20:34:39 PDT
Created attachment 318106 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 5 Ross Kirsling 2017-08-15 10:16:31 PDT
Hopefully it goes without saying that this patch has nothing to do with ios-sim layout tests.
That issue is already reported here: https://bugs.webkit.org/show_bug.cgi?id=172732
Comment 6 BJ Burg 2017-08-17 12:59:45 PDT
Comment on attachment 318064 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2017-08-17 13:30:16 PDT
Comment on attachment 318064 [details]
Patch

Clearing flags on attachment: 318064

Committed r220873: <http://trac.webkit.org/changeset/220873>
Comment 8 WebKit Commit Bot 2017-08-17 13:30:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2017-08-17 13:31:36 PDT
<rdar://problem/33948519>
Comment 10 Joseph Pecoraro 2017-08-17 13:48:35 PDT
Comment on attachment 318064 [details]
Patch

On lines 308 and 309 we exclude ESLint.js until it is needed. Should we do the same here or are we going to imminently use it?
Comment 11 Ross Kirsling 2017-08-17 13:54:24 PDT
Good question. I could open a new ticket right now to land the current WIP Patch in https://bugs.webkit.org/show_bug.cgi?id=174176 as a stage-one commit for the Layers tab, if this sounds acceptable to you guys? But if we're not ready for that, then we should temporarily add an exclusion.